# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software. Please see the COPYING file for
# details.

class Voter < ActiveRecord::Base
  belongs_to :election
  has_one :vote
  
  def reset_vote
    self.vote.destroy
    self.reload
  end
  
  def destroy
    vote.destroy if vote
    super
  end

  def voted?
    vote.confirmed == 1
  end
end


